## Miscellaneous

Miscellaneous

## Functions

const char * | (*GOTranslateFunc) ()

## Types and Values

enum | GOAnchorType
| GODrawingAnchor
enum | GODrawingAnchorDir
enum | GOLineDashType
enum | GOLineInterpolation
enum | GOFontScript
enum | GoResourceType

## Description

## Functions

### GOTranslateFunc ()

    const char *
    (*GOTranslateFunc) (char const *path,
                        gpointer func_data);

## Types and Values

### enum GOAnchorType

#### Members

GO_ANCHOR_CENTER | anchor center. |
GO_ANCHOR_NORTH | anchor top. |
GO_ANCHOR_NORTH_WEST | anchor top left. |
GO_ANCHOR_NORTH_EAST | anchor top left. |
GO_ANCHOR_SOUTH | anchor bottom. |
GO_ANCHOR_SOUTH_WEST | anchor bottom left. |
GO_ANCHOR_SOUTH_EAST | anchor bottom left. |
GO_ANCHOR_WEST | anchor left. |
GO_ANCHOR_EAST | anchor right. |
GO_ANCHOR_BASELINE_CENTER | anchor centered on baseline |
GO_ANCHOR_BASELINE_WEST | anchor left on baseline |
GO_ANCHOR_BASELINE_EAST | anchor right on baseline |
GO_ANCHOR_N | anchor top. |
GO_ANCHOR_NW | anchor top left. |
GO_ANCHOR_NE | anchor top left. |
GO_ANCHOR_S | anchor bottom. |
GO_ANCHOR_SW | anchor bottom left. |
GO_ANCHOR_SE | anchor bottom left. |
GO_ANCHOR_W | anchor left. |
GO_ANCHOR_E | anchor right. |
GO_ANCHOR_B | synonym for GO_ANCHOR_BASELINE_CENTER |
GO_ANCHOR_BW | synonym for GO_ANCHOR_BASELINE_WEST |
GO_ANCHOR_BE | synonym for GO_ANCHOR_BASELINE_EAST |

### GODrawingAnchor

    typedef struct {
    	int			pos_pts [4]; /* position in points */
    	GODrawingAnchorDir direction;
    } GODrawingAnchor;

#### Members

int `pos_pts`[4]; | position in points. |
GODrawingAnchorDir `direction`; | GODrawingAnchorDir |

### enum GODrawingAnchorDir

#### Members

GOD_ANCHOR_DIR_UNKNOWN | unknown. |
GOD_ANCHOR_DIR_UP_LEFT | up left. |
GOD_ANCHOR_DIR_UP_RIGHT | up right. |
GOD_ANCHOR_DIR_DOWN_LEFT | down left. |
GOD_ANCHOR_DIR_DOWN_RIGHT | down right. |
GOD_ANCHOR_DIR_NONE_MASK | mask for none. |
GOD_ANCHOR_DIR_H_MASK | horizontal mask. |
GOD_ANCHOR_DIR_RIGHT | right |
GOD_ANCHOR_DIR_V_MASK | vertical mask. |
GOD_ANCHOR_DIR_DOWN | down |

### enum GOLineDashType

#### Members

GO_LINE_NONE | No line displayed. |
GO_LINE_SOLID | Solid line. |
GO_LINE_S_DOT | Line with dot pattern. |
GO_LINE_S_DASH_DOT | Line with dash-dot pattern. |
GO_LINE_S_DASH_DOT_DOT | Line with dash-dot-dot pattern. |
GO_LINE_DASH_DOT_DOT_DOT | Line with dash-dot-dot-dot pattern. |
GO_LINE_DOT | Dotted line. |
GO_LINE_S_DASH | Line with short dashes. |
GO_LINE_DASH | Line with dash pattern |
GO_LINE_LONG_DASH | Line with long dashes. |
GO_LINE_DASH_DOT | Line with dash-dot pattern. |
GO_LINE_DASH_DOT_DOT | Line with dash-dot-dot pattern. |
GO_LINE_MAX | Number of line dash types |

### enum GOLineInterpolation

#### Members

GO_LINE_INTERPOLATION_LINEAR | Linear interpolation. |
GO_LINE_INTERPOLATION_SPLINE | Bezier cubic spline interpolation. |
GO_LINE_INTERPOLATION_CLOSED_SPLINE | Closed Bezier cubic spline interpolation. |
GO_LINE_INTERPOLATION_CUBIC_SPLINE | Cubic spline interpolation with natural limits. |
GO_LINE_INTERPOLATION_PARABOLIC_CUBIC_SPLINE | Cubic spline interpolation with parabolic limits. |
GO_LINE_INTERPOLATION_CUBIC_CUBIC_SPLINE | Cubic spline interpolation with cubic limits. |
GO_LINE_INTERPOLATION_CLAMPED_CUBIC_SPLINE | Cubic spline interpolation with fixed derivatives at both ends. |
GO_LINE_INTERPOLATION_STEP_START | Steps using first y value. |
GO_LINE_INTERPOLATION_STEP_END | Steps using last y value. |
GO_LINE_INTERPOLATION_STEP_CENTER_X | Steps centered around each point. |
GO_LINE_INTERPOLATION_STEP_CENTER_Y | Steps using mean y value. |
GO_LINE_INTERPOLATION_ODF_SPLINE | ODF compatible Bezier cubic spline interpolation, cyclic if first and last points are identical. |
GO_LINE_INTERPOLATION_MAX | First invalid value. |

### enum GOFontScript

#### Members

GO_FONT_SCRIPT_SUB | subscript. |
GO_FONT_SCRIPT_STANDARD | normal. |
GO_FONT_SCRIPT_SUPER | superscript. |

### enum GoResourceType

#### Members

GO_RESOURCE_NATIVE | in goffice code resource. |
GO_RESOURCE_RO | read only on disk resource. |
GO_RESOURCE_RW | on disk resource which can be overwritten. |
GO_RESOURCE_CHILD | child of another resource. |
GO_RESOURCE_EXTERNAL | resource from a data file. |
GO_RESOURCE_GENERATED | resource generated by the framework. |
GO_RESOURCE_INVALID | invalid resource. |